Global Fishing Watch API
Examples4Wings Stats

Get worldwide stats for a time period with no filter

Example 4Wings statistics request for worldwide apparent fishing effort over a time period, with no filters.

Query parameters

ParameterValueDescription
datasets[0]public-global-fishing-effort:latestAIS apparent fishing effort dataset
fieldsFLAGS,VESSEL-IDS,ACTIVITY-HOURSFields to include in the response
date-range2022-10-22,2023-01-22Filter to this time period

Request

# Make sure to replace [TOKEN] with your API Access Token.
curl --location -g --request GET 'https://gateway.api.globalfishingwatch.org/v3/4wings/stats/?datasets[0]=public-global-fishing-effort:latest&fields=FLAGS,VESSEL-IDS,ACTIVITY-HOURS&date-range=2022-10-22,2023-01-22' \
  -H 'Authorization: Bearer {access-token}'

Response

[
  {
    "activityHours": 28570704.16737109,
    "flags": 214,
    "maxLat": null,
    "maxLon": null,
    "minLat": null,
    "minLon": null,
    "vesselIds": 87731
  }
]